Altimax\Apidae\Core\Entity\SitraTerritoire:
  type: entity
  table: sitra_territoire
  indexes:
    fk_territoire_elementreference_idx:
      columns:
        - territoire_type_id
    fk_territoire_langue_idx:
      columns:
        - lang_id
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: 'identifiant SITRA du territoire'
      id: true
      generator:
        strategy: IDENTITY
  fields:
    territoireId:
      type: integer
      nullable: false
      unsigned: false
      comment: 'identifiant SITRA du territoire'
      column: territoire_id
    type:
      type: string
      nullable: false
      length: 255
      fixed: false
      comment: ''
    libelle:
      type: string
      nullable: true
      length: 255
      fixed: false
      comment: ''
    toDelete:
      type: boolean
      nullable: false
      comment: ''
      default: '0'
      column: to_delete
  manyToOne:
    territoireType:
      targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
      cascade: {  }
      mappedBy: null
      inversedBy: null
      joinColumns:
        territoire_type_id:
          referencedColumnName: id
          onDelete: SET NULL
      orphanRemoval: false
    lang:
      targetEntity: Altimax\Apidae\Core\Entity\SitraLangue
      cascade: {  }
      mappedBy: null
      inversedBy: null
      joinColumns:
        lang_id:
          referencedColumnName: id
          onDelete: CASCADE
      orphanRemoval: false
  manyToMany:
    objet:
      targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
      cascade: [ "persist", "remove" ]
      mappedBy: territoire
      fetch: EXTRA_LAZY
      inversedBy: null
      joinTable: null
      orderBy: null
    commune:
      targetEntity: Altimax\Apidae\Core\Entity\SitraCommune
      cascade: {  }
      mappedBy: null
      inversedBy: territoire
      joinTable:
        name: sitra_liaison_territoire_commune
        joinColumns:
          - name: territoire_id
            referencedColumnName: id
            onDelete: CASCADE
        inverseJoinColumns:
          - name: commune_id
            referencedColumnName: id
            onDelete: CASCADE
      orderBy: null
  lifecycleCallbacks: {  }
